# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class DeploymentMode(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Describes the type of ARM deployment to be performed on the resource."""

    INCREMENTAL = "Incremental"
    COMPLETE = "Complete"


class RestAuthLocation(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The location of the authentication key/value pair in the request."""

    QUERY = "Query"
    HEADER = "Header"


class RestAuthType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The authentication type."""

    API_KEY = "ApiKey"
    ROLLOUT_IDENTITY = "RolloutIdentity"


class RestMatchQuantifier(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Indicates whether any or all of the expressions should match with the response content."""

    ALL = "All"
    ANY = "Any"


class RestRequestMethod(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The HTTP method to use for the request."""

    GET = "GET"
    POST = "POST"


class StepType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The type of step."""

    WAIT = "Wait"
    HEALTH_CHECK = "HealthCheck"
